%{?nodejs_find_provides_and_requires}

%global packagename ee-first
%global enable_tests 1

Name:		nodejs-ee-first
Version:	1.1.1
Release:	1%{?dist}
Summary:	Get the first event in a set of event emitters and event pairs

License:	MIT
URL:		https://github.com/jonathanong/ee-first
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Get the first event in a set of event emitters and event pairs, then clean up
after itself


%prep
%setup -q -n package
# setup the tests too
%setup -q -T -D -a 1 -n package


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Oct  7 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
